m.Client.Client Class Reference

Représentation d'un client de DreamPark. More...

## Public Member Functions

def | __init__
| Contsructeur du client. More...
def | maj (self, nom, prenom, cb, typeAbonnement)
| Mise a jour du client. More...
def | desabo (self)
| Desabonne le client en le supprimant.
def | prenom (self)
| Propriete : prenom du client.
def | nom (self)
| Propriete : nom du client.
def | id (self)
| Propriete : id du client.
def | cb (self)
| Propriete : cb du client.
def | abonnement (self)
| Propriete : abonnement du client.
def | __str__ (self)
| Representation du client en chaine.

## Detailed Description

Représentation d'un client de DreamPark.

## Constructor & Destructor Documentation

def m.Client.Client.__init__ | ( |  | self,
|  |  | id,
|  |  | nom = `None`,
|  |  | prenom = `None`,
|  |  | cb = `None`,
|  |  | typeAbonnement = `None`
| ) |  |

Contsructeur du client.

Parameters

  id | Si None -> Création du client dans la bd a l'aide des autres parametres. Sinon tentative de récupération du client avec cet id dans la bd
  nom | nom du client si creation
  prenom | prenom du client si creation
  cb | cb du client si creation
  typeAbonnement | typeabonnement du client si creation

## Member Function Documentation

def m.Client.Client.maj | ( |  | self,
|  |  | nom,
|  |  | prenom,
|  |  | cb,
|  |  | typeAbonnement
| ) |  |

Mise a jour du client.

Parameters

  nom | nouveau nom
  prenom | nouveau prenom
  cb | nouveau nom
  typeAbonnement | nouveau nom

The documentation for this class was generated from the following file:

- src/m/Client.py